Bug 1441854 - OpenShift provider event storm POD_FAILEDSYNC
Summary: OpenShift provider event storm POD_FAILEDSYNC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Federico Simoncelli
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1441765
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 22:20 UTC by Satoe Imaishi
Modified: 2020-06-11 13:36 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1441765
Environment:
Last Closed: 2017-05-31 15:04:07 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 Einat Pacifici 2017-04-24 06:52:17 UTC
Federico, Can you please describe how to reproduce this please.

Comment 3 Federico Simoncelli 2017-04-24 07:58:12 UTC
(In reply to Einat Pacifici from comment #2)
> Federico, Can you please describe how to reproduce this please.

Einat you should spin several real applications (with volumes, etc.) on OpenShift, then verify that you had a FailedSync event:

 # oc get events

And check in the CFME logs that no POD_FAILEDSYNC was triggered.

There's also the option to manually create the FailedSync event manually (oc create ...) but it requires you to know how to create it (I don't have an example now).

Comment 4 Einat Pacifici 2017-04-27 12:21:07 UTC
Verified. Started new app with "oc new-app mysql"
Had a FAILED_SYNC event in openshift. 
Checked CFME, (also did a provider refresh), no POD_FAILEDSYNC was seen in the evm.log

Comment 6 errata-xmlrpc 2017-05-31 15:04:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.